AnsweredAssumed Answered

How can I convert an Arc to a Circle using the API?

Question asked by Edward Beaudry on Jun 23, 2019
Latest reply on Jun 28, 2019 by Edward Beaudry

Hi All,

 

I have an Arc that was created when I selected an edge on a slot in a sketch and selected Convert Entities.  I am able to convert that arc into a circle by dragging one point down to another point.  This works well, but I would like to mimic that behavior in a macro where I can get the coordinate of a selected point and move it to another point to make a circle.  I found some API methods like DragTo in IModelDoc2, but it seems like I can't find the correct point to use.  There is also MoveOrCopy in IModelDocExtension, but I still do not get the results I am looking for.  How can I programatically get this completed without using SelectByID or SelectByRay?

 

Thanks!

Outcomes